curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
Seedance 形式
Seedance動画タスクを取得
- Seedance動画生成タスクの状態を照会します。
- タスク完了後、result_url から動画リンクを取得できます。
GET
/
v1
/
video
/
generations
/
{task_id}
curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
Authorizations
string
必須
すべてのエンドポイントで Bearer Token 認証が必要です。
Authorization: Bearer YOUR_API_KEY
Path Parameters
string
必須
タスク作成エンドポイントが返す
id または task_id。Response
string
レスポンス状態。成功時は
success です。string
ElkAPI公開タスクID。
string
タスクプラットフォーム。Seedance は通常
doubao-video です。string
内部タスク状態。一般的な値:
SUBMITTED、QUEUED、IN_PROGRESS、SUCCESS、FAILUREstring
タスク進捗。例:
10%、50%、100%string
タスク成功後の結果動画URL。
object
content.video_url、usage.total_tokens などを含む可能性がある上流の生タスクデータ。⌘I